Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network124.0.0.0/6
Usable hosts67,108,862
Subnet mask252.0.0.0
Addresses67,108,864
Network address
124.0.0.0
Broadcast address
127.255.255.255
First usable
124.0.0.1
Last usable
127.255.255.254
Usable hosts
67,108,862 (67,108,864 less the network and broadcast addresses)
Subnet mask
252.0.0.0
Wildcard mask
3.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/6
Type
Public public
Old class
A (default /8)
As numbers
Hex 7C000000 · Integer 2080374784 to 2147483647
Reverse DNS zones
124.in-addr.arpa
125.in-addr.arpa
126.in-addr.arpa
127.in-addr.arpa
/6 is not on a 8-bit boundary, so it takes 4 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01111100.00000000.00000000.00000000124.0.0.0
Subnet mask11111100.00000000.00000000.00000000252.0.0.0
Network01111100.00000000.00000000.00000000124.0.0.0
Broadcast01111111.11111111.11111111.11111111127.255.255.255
Split into smaller subnets/14

124.0.0.0/6 makes 256 subnets of /14.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1124.0.0.0/14124.0.0.1 to 124.3.255.254124.3.255.255262,142
2124.4.0.0/14124.4.0.1 to 124.7.255.254124.7.255.255262,142
3124.8.0.0/14124.8.0.1 to 124.11.255.254124.11.255.255262,142
4124.12.0.0/14124.12.0.1 to 124.15.255.254124.15.255.255262,142
5124.16.0.0/14124.16.0.1 to 124.19.255.254124.19.255.255262,142
6124.20.0.0/14124.20.0.1 to 124.23.255.254124.23.255.255262,142
7124.24.0.0/14124.24.0.1 to 124.27.255.254124.27.255.255262,142
8124.28.0.0/14124.28.0.1 to 124.31.255.254124.31.255.255262,142
9124.32.0.0/14124.32.0.1 to 124.35.255.254124.35.255.255262,142
10124.36.0.0/14124.36.0.1 to 124.39.255.254124.39.255.255262,142
11124.40.0.0/14124.40.0.1 to 124.43.255.254124.43.255.255262,142
12124.44.0.0/14124.44.0.1 to 124.47.255.254124.47.255.255262,142
13124.48.0.0/14124.48.0.1 to 124.51.255.254124.51.255.255262,142
14124.52.0.0/14124.52.0.1 to 124.55.255.254124.55.255.255262,142
15124.56.0.0/14124.56.0.1 to 124.59.255.254124.59.255.255262,142
16124.60.0.0/14124.60.0.1 to 124.63.255.254124.63.255.255262,142
17124.64.0.0/14124.64.0.1 to 124.67.255.254124.67.255.255262,142
18124.68.0.0/14124.68.0.1 to 124.71.255.254124.71.255.255262,142
19124.72.0.0/14124.72.0.1 to 124.75.255.254124.75.255.255262,142
20124.76.0.0/14124.76.0.1 to 124.79.255.254124.79.255.255262,142
21124.80.0.0/14124.80.0.1 to 124.83.255.254124.83.255.255262,142
22124.84.0.0/14124.84.0.1 to 124.87.255.254124.87.255.255262,142
23124.88.0.0/14124.88.0.1 to 124.91.255.254124.91.255.255262,142
24124.92.0.0/14124.92.0.1 to 124.95.255.254124.95.255.255262,142
25124.96.0.0/14124.96.0.1 to 124.99.255.254124.99.255.255262,142
26124.100.0.0/14124.100.0.1 to 124.103.255.254124.103.255.255262,142
27124.104.0.0/14124.104.0.1 to 124.107.255.254124.107.255.255262,142
28124.108.0.0/14124.108.0.1 to 124.111.255.254124.111.255.255262,142
29124.112.0.0/14124.112.0.1 to 124.115.255.254124.115.255.255262,142
30124.116.0.0/14124.116.0.1 to 124.119.255.254124.119.255.255262,142
31124.120.0.0/14124.120.0.1 to 124.123.255.254124.123.255.255262,142
32124.124.0.0/14124.124.0.1 to 124.127.255.254124.127.255.255262,142
33124.128.0.0/14124.128.0.1 to 124.131.255.254124.131.255.255262,142
34124.132.0.0/14124.132.0.1 to 124.135.255.254124.135.255.255262,142
35124.136.0.0/14124.136.0.1 to 124.139.255.254124.139.255.255262,142
36124.140.0.0/14124.140.0.1 to 124.143.255.254124.143.255.255262,142
37124.144.0.0/14124.144.0.1 to 124.147.255.254124.147.255.255262,142
38124.148.0.0/14124.148.0.1 to 124.151.255.254124.151.255.255262,142
39124.152.0.0/14124.152.0.1 to 124.155.255.254124.155.255.255262,142
40124.156.0.0/14124.156.0.1 to 124.159.255.254124.159.255.255262,142
41124.160.0.0/14124.160.0.1 to 124.163.255.254124.163.255.255262,142
42124.164.0.0/14124.164.0.1 to 124.167.255.254124.167.255.255262,142
43124.168.0.0/14124.168.0.1 to 124.171.255.254124.171.255.255262,142
44124.172.0.0/14124.172.0.1 to 124.175.255.254124.175.255.255262,142
45124.176.0.0/14124.176.0.1 to 124.179.255.254124.179.255.255262,142
46124.180.0.0/14124.180.0.1 to 124.183.255.254124.183.255.255262,142
47124.184.0.0/14124.184.0.1 to 124.187.255.254124.187.255.255262,142
48124.188.0.0/14124.188.0.1 to 124.191.255.254124.191.255.255262,142
49124.192.0.0/14124.192.0.1 to 124.195.255.254124.195.255.255262,142
50124.196.0.0/14124.196.0.1 to 124.199.255.254124.199.255.255262,142
51124.200.0.0/14124.200.0.1 to 124.203.255.254124.203.255.255262,142
52124.204.0.0/14124.204.0.1 to 124.207.255.254124.207.255.255262,142
53124.208.0.0/14124.208.0.1 to 124.211.255.254124.211.255.255262,142
54124.212.0.0/14124.212.0.1 to 124.215.255.254124.215.255.255262,142
55124.216.0.0/14124.216.0.1 to 124.219.255.254124.219.255.255262,142
56124.220.0.0/14124.220.0.1 to 124.223.255.254124.223.255.255262,142
57124.224.0.0/14124.224.0.1 to 124.227.255.254124.227.255.255262,142
58124.228.0.0/14124.228.0.1 to 124.231.255.254124.231.255.255262,142
59124.232.0.0/14124.232.0.1 to 124.235.255.254124.235.255.255262,142
60124.236.0.0/14124.236.0.1 to 124.239.255.254124.239.255.255262,142
61124.240.0.0/14124.240.0.1 to 124.243.255.254124.243.255.255262,142
62124.244.0.0/14124.244.0.1 to 124.247.255.254124.247.255.255262,142
63124.248.0.0/14124.248.0.1 to 124.251.255.254124.251.255.255262,142
64124.252.0.0/14124.252.0.1 to 124.255.255.254124.255.255.255262,142
65125.0.0.0/14125.0.0.1 to 125.3.255.254125.3.255.255262,142
66125.4.0.0/14125.4.0.1 to 125.7.255.254125.7.255.255262,142
67125.8.0.0/14125.8.0.1 to 125.11.255.254125.11.255.255262,142
68125.12.0.0/14125.12.0.1 to 125.15.255.254125.15.255.255262,142
69125.16.0.0/14125.16.0.1 to 125.19.255.254125.19.255.255262,142
70125.20.0.0/14125.20.0.1 to 125.23.255.254125.23.255.255262,142
71125.24.0.0/14125.24.0.1 to 125.27.255.254125.27.255.255262,142
72125.28.0.0/14125.28.0.1 to 125.31.255.254125.31.255.255262,142
73125.32.0.0/14125.32.0.1 to 125.35.255.254125.35.255.255262,142
74125.36.0.0/14125.36.0.1 to 125.39.255.254125.39.255.255262,142
75125.40.0.0/14125.40.0.1 to 125.43.255.254125.43.255.255262,142
76125.44.0.0/14125.44.0.1 to 125.47.255.254125.47.255.255262,142
77125.48.0.0/14125.48.0.1 to 125.51.255.254125.51.255.255262,142
78125.52.0.0/14125.52.0.1 to 125.55.255.254125.55.255.255262,142
79125.56.0.0/14125.56.0.1 to 125.59.255.254125.59.255.255262,142
80125.60.0.0/14125.60.0.1 to 125.63.255.254125.63.255.255262,142
81125.64.0.0/14125.64.0.1 to 125.67.255.254125.67.255.255262,142
82125.68.0.0/14125.68.0.1 to 125.71.255.254125.71.255.255262,142
83125.72.0.0/14125.72.0.1 to 125.75.255.254125.75.255.255262,142
84125.76.0.0/14125.76.0.1 to 125.79.255.254125.79.255.255262,142
85125.80.0.0/14125.80.0.1 to 125.83.255.254125.83.255.255262,142
86125.84.0.0/14125.84.0.1 to 125.87.255.254125.87.255.255262,142
87125.88.0.0/14125.88.0.1 to 125.91.255.254125.91.255.255262,142
88125.92.0.0/14125.92.0.1 to 125.95.255.254125.95.255.255262,142
89125.96.0.0/14125.96.0.1 to 125.99.255.254125.99.255.255262,142
90125.100.0.0/14125.100.0.1 to 125.103.255.254125.103.255.255262,142
91125.104.0.0/14125.104.0.1 to 125.107.255.254125.107.255.255262,142
92125.108.0.0/14125.108.0.1 to 125.111.255.254125.111.255.255262,142
93125.112.0.0/14125.112.0.1 to 125.115.255.254125.115.255.255262,142
94125.116.0.0/14125.116.0.1 to 125.119.255.254125.119.255.255262,142
95125.120.0.0/14125.120.0.1 to 125.123.255.254125.123.255.255262,142
96125.124.0.0/14125.124.0.1 to 125.127.255.254125.127.255.255262,142
97125.128.0.0/14125.128.0.1 to 125.131.255.254125.131.255.255262,142
98125.132.0.0/14125.132.0.1 to 125.135.255.254125.135.255.255262,142
99125.136.0.0/14125.136.0.1 to 125.139.255.254125.139.255.255262,142
100125.140.0.0/14125.140.0.1 to 125.143.255.254125.143.255.255262,142
101125.144.0.0/14125.144.0.1 to 125.147.255.254125.147.255.255262,142
102125.148.0.0/14125.148.0.1 to 125.151.255.254125.151.255.255262,142
103125.152.0.0/14125.152.0.1 to 125.155.255.254125.155.255.255262,142
104125.156.0.0/14125.156.0.1 to 125.159.255.254125.159.255.255262,142
105125.160.0.0/14125.160.0.1 to 125.163.255.254125.163.255.255262,142
106125.164.0.0/14125.164.0.1 to 125.167.255.254125.167.255.255262,142
107125.168.0.0/14125.168.0.1 to 125.171.255.254125.171.255.255262,142
108125.172.0.0/14125.172.0.1 to 125.175.255.254125.175.255.255262,142
109125.176.0.0/14125.176.0.1 to 125.179.255.254125.179.255.255262,142
110125.180.0.0/14125.180.0.1 to 125.183.255.254125.183.255.255262,142
111125.184.0.0/14125.184.0.1 to 125.187.255.254125.187.255.255262,142
112125.188.0.0/14125.188.0.1 to 125.191.255.254125.191.255.255262,142
113125.192.0.0/14125.192.0.1 to 125.195.255.254125.195.255.255262,142
114125.196.0.0/14125.196.0.1 to 125.199.255.254125.199.255.255262,142
115125.200.0.0/14125.200.0.1 to 125.203.255.254125.203.255.255262,142
116125.204.0.0/14125.204.0.1 to 125.207.255.254125.207.255.255262,142
117125.208.0.0/14125.208.0.1 to 125.211.255.254125.211.255.255262,142
118125.212.0.0/14125.212.0.1 to 125.215.255.254125.215.255.255262,142
119125.216.0.0/14125.216.0.1 to 125.219.255.254125.219.255.255262,142
120125.220.0.0/14125.220.0.1 to 125.223.255.254125.223.255.255262,142
121125.224.0.0/14125.224.0.1 to 125.227.255.254125.227.255.255262,142
122125.228.0.0/14125.228.0.1 to 125.231.255.254125.231.255.255262,142
123125.232.0.0/14125.232.0.1 to 125.235.255.254125.235.255.255262,142
124125.236.0.0/14125.236.0.1 to 125.239.255.254125.239.255.255262,142
125125.240.0.0/14125.240.0.1 to 125.243.255.254125.243.255.255262,142
126125.244.0.0/14125.244.0.1 to 125.247.255.254125.247.255.255262,142
127125.248.0.0/14125.248.0.1 to 125.251.255.254125.251.255.255262,142
128125.252.0.0/14125.252.0.1 to 125.255.255.254125.255.255.255262,142
129126.0.0.0/14126.0.0.1 to 126.3.255.254126.3.255.255262,142
130126.4.0.0/14126.4.0.1 to 126.7.255.254126.7.255.255262,142
131126.8.0.0/14126.8.0.1 to 126.11.255.254126.11.255.255262,142
132126.12.0.0/14126.12.0.1 to 126.15.255.254126.15.255.255262,142
133126.16.0.0/14126.16.0.1 to 126.19.255.254126.19.255.255262,142
134126.20.0.0/14126.20.0.1 to 126.23.255.254126.23.255.255262,142
135126.24.0.0/14126.24.0.1 to 126.27.255.254126.27.255.255262,142
136126.28.0.0/14126.28.0.1 to 126.31.255.254126.31.255.255262,142
137126.32.0.0/14126.32.0.1 to 126.35.255.254126.35.255.255262,142
138126.36.0.0/14126.36.0.1 to 126.39.255.254126.39.255.255262,142
139126.40.0.0/14126.40.0.1 to 126.43.255.254126.43.255.255262,142
140126.44.0.0/14126.44.0.1 to 126.47.255.254126.47.255.255262,142
141126.48.0.0/14126.48.0.1 to 126.51.255.254126.51.255.255262,142
142126.52.0.0/14126.52.0.1 to 126.55.255.254126.55.255.255262,142
143126.56.0.0/14126.56.0.1 to 126.59.255.254126.59.255.255262,142
144126.60.0.0/14126.60.0.1 to 126.63.255.254126.63.255.255262,142
145126.64.0.0/14126.64.0.1 to 126.67.255.254126.67.255.255262,142
146126.68.0.0/14126.68.0.1 to 126.71.255.254126.71.255.255262,142
147126.72.0.0/14126.72.0.1 to 126.75.255.254126.75.255.255262,142
148126.76.0.0/14126.76.0.1 to 126.79.255.254126.79.255.255262,142
149126.80.0.0/14126.80.0.1 to 126.83.255.254126.83.255.255262,142
150126.84.0.0/14126.84.0.1 to 126.87.255.254126.87.255.255262,142
151126.88.0.0/14126.88.0.1 to 126.91.255.254126.91.255.255262,142
152126.92.0.0/14126.92.0.1 to 126.95.255.254126.95.255.255262,142
153126.96.0.0/14126.96.0.1 to 126.99.255.254126.99.255.255262,142
154126.100.0.0/14126.100.0.1 to 126.103.255.254126.103.255.255262,142
155126.104.0.0/14126.104.0.1 to 126.107.255.254126.107.255.255262,142
156126.108.0.0/14126.108.0.1 to 126.111.255.254126.111.255.255262,142
157126.112.0.0/14126.112.0.1 to 126.115.255.254126.115.255.255262,142
158126.116.0.0/14126.116.0.1 to 126.119.255.254126.119.255.255262,142
159126.120.0.0/14126.120.0.1 to 126.123.255.254126.123.255.255262,142
160126.124.0.0/14126.124.0.1 to 126.127.255.254126.127.255.255262,142
161126.128.0.0/14126.128.0.1 to 126.131.255.254126.131.255.255262,142
162126.132.0.0/14126.132.0.1 to 126.135.255.254126.135.255.255262,142
163126.136.0.0/14126.136.0.1 to 126.139.255.254126.139.255.255262,142
164126.140.0.0/14126.140.0.1 to 126.143.255.254126.143.255.255262,142
165126.144.0.0/14126.144.0.1 to 126.147.255.254126.147.255.255262,142
166126.148.0.0/14126.148.0.1 to 126.151.255.254126.151.255.255262,142
167126.152.0.0/14126.152.0.1 to 126.155.255.254126.155.255.255262,142
168126.156.0.0/14126.156.0.1 to 126.159.255.254126.159.255.255262,142
169126.160.0.0/14126.160.0.1 to 126.163.255.254126.163.255.255262,142
170126.164.0.0/14126.164.0.1 to 126.167.255.254126.167.255.255262,142
171126.168.0.0/14126.168.0.1 to 126.171.255.254126.171.255.255262,142
172126.172.0.0/14126.172.0.1 to 126.175.255.254126.175.255.255262,142
173126.176.0.0/14126.176.0.1 to 126.179.255.254126.179.255.255262,142
174126.180.0.0/14126.180.0.1 to 126.183.255.254126.183.255.255262,142
175126.184.0.0/14126.184.0.1 to 126.187.255.254126.187.255.255262,142
176126.188.0.0/14126.188.0.1 to 126.191.255.254126.191.255.255262,142
177126.192.0.0/14126.192.0.1 to 126.195.255.254126.195.255.255262,142
178126.196.0.0/14126.196.0.1 to 126.199.255.254126.199.255.255262,142
179126.200.0.0/14126.200.0.1 to 126.203.255.254126.203.255.255262,142
180126.204.0.0/14126.204.0.1 to 126.207.255.254126.207.255.255262,142
181126.208.0.0/14126.208.0.1 to 126.211.255.254126.211.255.255262,142
182126.212.0.0/14126.212.0.1 to 126.215.255.254126.215.255.255262,142
183126.216.0.0/14126.216.0.1 to 126.219.255.254126.219.255.255262,142
184126.220.0.0/14126.220.0.1 to 126.223.255.254126.223.255.255262,142
185126.224.0.0/14126.224.0.1 to 126.227.255.254126.227.255.255262,142
186126.228.0.0/14126.228.0.1 to 126.231.255.254126.231.255.255262,142
187126.232.0.0/14126.232.0.1 to 126.235.255.254126.235.255.255262,142
188126.236.0.0/14126.236.0.1 to 126.239.255.254126.239.255.255262,142
189126.240.0.0/14126.240.0.1 to 126.243.255.254126.243.255.255262,142
190126.244.0.0/14126.244.0.1 to 126.247.255.254126.247.255.255262,142
191126.248.0.0/14126.248.0.1 to 126.251.255.254126.251.255.255262,142
192126.252.0.0/14126.252.0.1 to 126.255.255.254126.255.255.255262,142
193127.0.0.0/14127.0.0.1 to 127.3.255.254127.3.255.255262,142
194127.4.0.0/14127.4.0.1 to 127.7.255.254127.7.255.255262,142
195127.8.0.0/14127.8.0.1 to 127.11.255.254127.11.255.255262,142
196127.12.0.0/14127.12.0.1 to 127.15.255.254127.15.255.255262,142
197127.16.0.0/14127.16.0.1 to 127.19.255.254127.19.255.255262,142
198127.20.0.0/14127.20.0.1 to 127.23.255.254127.23.255.255262,142
199127.24.0.0/14127.24.0.1 to 127.27.255.254127.27.255.255262,142
200127.28.0.0/14127.28.0.1 to 127.31.255.254127.31.255.255262,142
201127.32.0.0/14127.32.0.1 to 127.35.255.254127.35.255.255262,142
202127.36.0.0/14127.36.0.1 to 127.39.255.254127.39.255.255262,142
203127.40.0.0/14127.40.0.1 to 127.43.255.254127.43.255.255262,142
204127.44.0.0/14127.44.0.1 to 127.47.255.254127.47.255.255262,142
205127.48.0.0/14127.48.0.1 to 127.51.255.254127.51.255.255262,142
206127.52.0.0/14127.52.0.1 to 127.55.255.254127.55.255.255262,142
207127.56.0.0/14127.56.0.1 to 127.59.255.254127.59.255.255262,142
208127.60.0.0/14127.60.0.1 to 127.63.255.254127.63.255.255262,142
209127.64.0.0/14127.64.0.1 to 127.67.255.254127.67.255.255262,142
210127.68.0.0/14127.68.0.1 to 127.71.255.254127.71.255.255262,142
211127.72.0.0/14127.72.0.1 to 127.75.255.254127.75.255.255262,142
212127.76.0.0/14127.76.0.1 to 127.79.255.254127.79.255.255262,142
213127.80.0.0/14127.80.0.1 to 127.83.255.254127.83.255.255262,142
214127.84.0.0/14127.84.0.1 to 127.87.255.254127.87.255.255262,142
215127.88.0.0/14127.88.0.1 to 127.91.255.254127.91.255.255262,142
216127.92.0.0/14127.92.0.1 to 127.95.255.254127.95.255.255262,142
217127.96.0.0/14127.96.0.1 to 127.99.255.254127.99.255.255262,142
218127.100.0.0/14127.100.0.1 to 127.103.255.254127.103.255.255262,142
219127.104.0.0/14127.104.0.1 to 127.107.255.254127.107.255.255262,142
220127.108.0.0/14127.108.0.1 to 127.111.255.254127.111.255.255262,142
221127.112.0.0/14127.112.0.1 to 127.115.255.254127.115.255.255262,142
222127.116.0.0/14127.116.0.1 to 127.119.255.254127.119.255.255262,142
223127.120.0.0/14127.120.0.1 to 127.123.255.254127.123.255.255262,142
224127.124.0.0/14127.124.0.1 to 127.127.255.254127.127.255.255262,142
225127.128.0.0/14127.128.0.1 to 127.131.255.254127.131.255.255262,142
226127.132.0.0/14127.132.0.1 to 127.135.255.254127.135.255.255262,142
227127.136.0.0/14127.136.0.1 to 127.139.255.254127.139.255.255262,142
228127.140.0.0/14127.140.0.1 to 127.143.255.254127.143.255.255262,142
229127.144.0.0/14127.144.0.1 to 127.147.255.254127.147.255.255262,142
230127.148.0.0/14127.148.0.1 to 127.151.255.254127.151.255.255262,142
231127.152.0.0/14127.152.0.1 to 127.155.255.254127.155.255.255262,142
232127.156.0.0/14127.156.0.1 to 127.159.255.254127.159.255.255262,142
233127.160.0.0/14127.160.0.1 to 127.163.255.254127.163.255.255262,142
234127.164.0.0/14127.164.0.1 to 127.167.255.254127.167.255.255262,142
235127.168.0.0/14127.168.0.1 to 127.171.255.254127.171.255.255262,142
236127.172.0.0/14127.172.0.1 to 127.175.255.254127.175.255.255262,142
237127.176.0.0/14127.176.0.1 to 127.179.255.254127.179.255.255262,142
238127.180.0.0/14127.180.0.1 to 127.183.255.254127.183.255.255262,142
239127.184.0.0/14127.184.0.1 to 127.187.255.254127.187.255.255262,142
240127.188.0.0/14127.188.0.1 to 127.191.255.254127.191.255.255262,142
241127.192.0.0/14127.192.0.1 to 127.195.255.254127.195.255.255262,142
242127.196.0.0/14127.196.0.1 to 127.199.255.254127.199.255.255262,142
243127.200.0.0/14127.200.0.1 to 127.203.255.254127.203.255.255262,142
244127.204.0.0/14127.204.0.1 to 127.207.255.254127.207.255.255262,142
245127.208.0.0/14127.208.0.1 to 127.211.255.254127.211.255.255262,142
246127.212.0.0/14127.212.0.1 to 127.215.255.254127.215.255.255262,142
247127.216.0.0/14127.216.0.1 to 127.219.255.254127.219.255.255262,142
248127.220.0.0/14127.220.0.1 to 127.223.255.254127.223.255.255262,142
249127.224.0.0/14127.224.0.1 to 127.227.255.254127.227.255.255262,142
250127.228.0.0/14127.228.0.1 to 127.231.255.254127.231.255.255262,142
251127.232.0.0/14127.232.0.1 to 127.235.255.254127.235.255.255262,142
252127.236.0.0/14127.236.0.1 to 127.239.255.254127.239.255.255262,142
253127.240.0.0/14127.240.0.1 to 127.243.255.254127.243.255.255262,142
254127.244.0.0/14127.244.0.1 to 127.247.255.254127.247.255.255262,142
255127.248.0.0/14127.248.0.1 to 127.251.255.254127.251.255.255262,142
256127.252.0.0/14127.252.0.1 to 127.255.255.254127.255.255.255262,142

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses